/************************************************************************************/
/*  Program name CAPFNDIMP_LOCATION_TL.sql                                          */
/*  Creater:  WONG Wing Kin (PCCW - UniHub)                                         */
/*************   History   *************************                                */
/* 30 NOV, 2005   WONG Wing Kin         First created                               */
/************************************************************************************/
SET SERVEROUTPUT ON SIZE 1000000;

ALTER TRIGGER HR_LOCATIONS_ALL_TL013210_WHO DISABLE;

DECLARE
	lv_Prog_ID		VARCHAR2(100)	:=	'CAPFNDIMP_LOCATION_TL';

	lv_Scc_Count	NUMBER			:=	0;
	lv_Err_Count	NUMBER			:=	0;
	lv_Err_Msg		VARCHAR2(500)	:=	'No Error';

	CURSOR Cur_F IS
	SELECT
		*
	FROM
		CRST_FND_LOCATION_TL;

	lv_Next_Seq_ID	NUMBER;

BEGIN

	FOR C1 IN Cur_F LOOP
		BEGIN
			INSERT INTO HR_LOCATIONS_ALL_TL
			VALUES
			(
			CAPBRIMP_MAPPING.GetLocationIDMapping(C1.LOCATION_ID),				--LOCATION_ID,
			C1.LANGUAGE,
			C1.SOURCE_LANG,
			C1.LOCATION_CODE,
			C1.DESCRIPTION,
			C1.LAST_UPDATE_DATE,
			CAPBRIMP_COMMON.GetUser(C1.LAST_UPDATED_BY_NAME),					--LAST_UPDATED_BY,
			C1.LAST_UPDATE_LOGIN,
			CAPBRIMP_COMMON.GetUser(C1.CREATED_BY_NAME),						--CREATED_BY,
			C1.CREATION_DATE
			);
		EXCEPTION
			WHEN OTHERS THEN
				DBMS_OUTPUT.Put_Line(SQLERRM);
				lv_Err_Count	:=	lv_Err_Count + 1;
		END;
		lv_Scc_Count	:=	lv_Scc_Count	+	1;
	END LOOP;

	IF	lv_Err_Count	>	0	THEN
		ROLLBACK;
	END IF;

	INSERT INTO CAPCNV_LOG(
		PROG_ID,
		PROCESS_DATE,
		RECORD_PROCESSED,
		RECORD_REJECTED,
		RECORD_EXTRACTED,
		ERR_MSG
	) VALUES (
		lv_Prog_ID,
		SYSDATE,
		lv_Scc_Count,
		lv_Err_Count,
		lv_Scc_Count-lv_Err_Count,
		lv_Err_Msg
	);

	COMMIT;
END;
/

ALTER TRIGGER HR_LOCATIONS_ALL_TL013210_WHO ENABLE;
